<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\LBExtensions\Templates\Helpers\TemplateEngines;

abstract class AbstractTemplateEngine
{
    protected $lbTemplateBean = null;

    public function setLBTemplateBean(\PX_FlowchartTemplates $lbTemplateBean)
    {
        $this->lbTemplateBean = $lbTemplateBean;
    }

    public function assignLBVariables($lbVariables)
    {
        foreach ($lbVariables as $variable) {
            $this->assignLBVariable($variable['label'], $variable['value']);
        }
    }

    abstract public function assignLBVariable($variable, $value);

    abstract public function fetchLBTemplate();

}