<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\LBExtensions\Templates\Hooks;

class PX_FlowchartTemplatesHooks
{

    function afterRetrieveHook($bean, $event, $arguments)
    {
        $bean->html_body = $bean->decodeHtmlBody($bean->html_body);
        $bean->context = $bean->getDecodedContext($bean->context);
    }

    function afterFetchQueryHook($bean, $event, $arguments)
    {
        foreach($arguments['beans'] as $rowBean) {
            $rowBean->html_body = $bean->decodeHtmlBody($rowBean->html_body);
            $rowBean->context = $bean->getDecodedContext($rowBean->context);
        }
    }


}