<?php

$manifest = array(
    'built_in_version' => '14.0.0',
    'acceptable_sugar_versions' => array(
        'regex_matches' => array(
            '14\\.[0-9]\\..+$',
        ),
    ),
    'acceptable_sugar_flavors' =>
        array(
            0 => 'ENT',
            1 => 'ULT',
            2 => 'PRO',
        ),
    'readme' => '',
    'key' => '',
    'author' => 'Integros',
    'name' => 'LB Templates Extension',
    'description' => 'Logic Builder extension for composing HTML text.',
    'icon' => '',
    'is_uninstallable' => true,
    'published_date' => '2024-09-10 22:33:05',
    'type' => 'module',
    'version' => '2.1',
    'remove_tables' => 'prompt',
    'uninstall_before_upgrade' => true,
);

$installdefs = array(
    'id' => 'lb_templates',
    'copy' => array(
        array (
            'from' => '<basepath>/src/custom/Extension/modules/PX_FlowchartTemplates/Ext/LogicHooks/after_fetch_query.php',
            'to' => 'custom/Extension/modules/PX_FlowchartTemplates/Ext/LogicHooks/after_fetch_query.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/PX_FlowchartTemplates/Ext/LogicHooks/after_retrieve.php',
            'to' => 'custom/Extension/modules/PX_FlowchartTemplates/Ext/LogicHooks/after_retrieve.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/application/Ext/Language/en_us.px_flowcharttemplates.php',
            'to' => 'custom/Extension/application/Ext/Language/en_us.px_flowcharttemplates.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Hooks/PX_FlowchartTemplatesHooks.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Hooks/PX_FlowchartTemplatesHooks.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateProcessor.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateProcessor.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/SmartyTemplateException.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/SmartyTemplateException.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/AbstractTemplateEngine.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/AbstractTemplateEngine.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/SmartyTemplateEngine.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/SmartyTemplateEngine.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineFactory.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineFactory.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/BaseTemplateEngine.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/BaseTemplateEngine.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineTrait.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineTrait.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/Compilers/LBTemplatesSmartyCompiler.php',
            'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/Compilers/LBTemplatesSmartyCompiler.php'
        ),
        array (
            'from' => '<basepath>/src/custom/data/duplicatecheck/PX_FlowchartTemplatesFilterDuplicateCheck.php',
            'to' => 'custom/data/duplicatecheck/PX_FlowchartTemplatesFilterDuplicateCheck.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/SearchFields.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/SearchFields.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/quickcreatedefs.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/quickcreatedefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/searchdefs.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/searchdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/editviewdefs.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/editviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/metafiles.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/metafiles.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/studio.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/studio.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/popupdefs.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/popupdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/detailviewdefs.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/detailviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/listviewdefs.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/listviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/subpanels/default.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/subpanels/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/dashletviewdefs.php',
            'to' => 'modules/PX_FlowchartTemplates/metadata/dashletviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/language/en_us.lang.php',
            'to' => 'modules/PX_FlowchartTemplates/language/en_us.lang.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/menus/header/header.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/menus/header/header.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/recordlist/recordlist.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/recordlist/recordlist.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/preview/preview.js',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/preview/preview.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/preview/preview.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/preview/preview.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/find-duplicates-headerpane/find-duplicates-headerpane.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/find-duplicates-headerpane/find-duplicates-headerpane.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/list/list.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/create/create.js',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/create/create.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/record/record.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/record/record.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/record/record.js',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/views/record/record.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/px-context-item.js',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/px-context-item.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/detail.hbs',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/edit.hbs',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/htmleditable_tinymce.js',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/htmleditable_tinymce.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/detail.hbs',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/detail.hbs',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/context-row.hbs',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/context-row.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/edit.hbs',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/px-context.js',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/px-context.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/enum/enum.js',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/enum/enum.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/enum/edit.hbs',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/enum/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesApi.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesFilterApi.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesFilterApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/filters/basic/basic.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/filters/basic/basic.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/filters/default/default.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/base/filters/default/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/views/detail/detail.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/mobile/views/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/views/list/list.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/mobile/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/views/edit/edit.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/mobile/views/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/layouts/detail/detail.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/mobile/layouts/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/layouts/list/list.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/mobile/layouts/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/layouts/edit/edit.php',
            'to' => 'modules/PX_FlowchartTemplates/clients/mobile/layouts/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/PX_FlowchartTemplates.php',
            'to' => 'modules/PX_FlowchartTemplates/PX_FlowchartTemplates.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/PX_FlowchartTemplates_sugar.php',
            'to' => 'modules/PX_FlowchartTemplates/PX_FlowchartTemplates_sugar.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_FlowchartTemplates/vardefs.php',
            'to' => 'modules/PX_FlowchartTemplates/vardefs.php'
        ),
    ),
    'beans' => array(
        array(
            'module' => 'PX_FlowchartTemplates',
            'class' => 'PX_FlowchartTemplates',
            'path' => 'modules/PX_FlowchartTemplates/PX_FlowchartTemplates.php',
            'tab' => true,
        )
    )
);